| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
nstr_phdr Struct Reference

Pseudo-header for Citrix NetScaler nstrace capture files carrying field offset and record layout metadata. More...

`#include <wtap.h>`

## Public Attributes
int64_t | rec_offset
int32_t | rec_len
uint8_t | nicno_offset
uint8_t | nicno_len
uint8_t | dir_offset
uint8_t | dir_len
uint16_t | eth_offset
uint8_t | pcb_offset
uint8_t | l_pcb_offset
uint8_t | rec_type
uint8_t | vlantag_offset
uint8_t | coreid_offset
uint8_t | srcnodeid_offset
uint8_t | destnodeid_offset
uint8_t | clflags_offset
uint8_t | src_vmname_len_offset
uint8_t | dst_vmname_len_offset
uint8_t | ns_activity_offset
uint8_t | data_offset

## Detailed Description

Pseudo-header for Citrix NetScaler nstrace capture files carrying field offset and record layout metadata.

## Member Data Documentation

## ◆ clflags_offset

uint8_t nstr_phdr::clflags_offset

Byte offset within the record to the cluster flags field.

## ◆ coreid_offset

uint8_t nstr_phdr::coreid_offset

Byte offset within the record to the CPU core ID field.

## ◆ data_offset

uint8_t nstr_phdr::data_offset

Byte offset within the record to the start of the packet payload data.

## ◆ destnodeid_offset

uint8_t nstr_phdr::destnodeid_offset

Byte offset within the record to the destination cluster node ID field.

## ◆ dir_len

uint8_t nstr_phdr::dir_len

Length in bytes of the packet direction field.

## ◆ dir_offset

uint8_t nstr_phdr::dir_offset

Byte offset within the record to the packet direction field.

## ◆ dst_vmname_len_offset

uint8_t nstr_phdr::dst_vmname_len_offset

Byte offset within the record to the destination VM name length field.

## ◆ eth_offset

uint16_t nstr_phdr::eth_offset

Byte offset within the record to the start of the Ethernet frame data.

## ◆ l_pcb_offset

uint8_t nstr_phdr::l_pcb_offset

Byte offset within the record to the linked Protocol Control Block (PCB) pointer field.

## ◆ nicno_len

uint8_t nstr_phdr::nicno_len

Length in bytes of the NIC number field.

## ◆ nicno_offset

uint8_t nstr_phdr::nicno_offset

Byte offset within the record to the NIC number field.

## ◆ ns_activity_offset

uint8_t nstr_phdr::ns_activity_offset

Byte offset within the record to the NetScaler activity flags field.

## ◆ pcb_offset

uint8_t nstr_phdr::pcb_offset

Byte offset within the record to the primary Protocol Control Block (PCB) pointer field.

## ◆ rec_len

int32_t nstr_phdr::rec_len

Total length in bytes of this capture record.

## ◆ rec_offset

int64_t nstr_phdr::rec_offset

Byte offset of this record within the nstrace capture file.

## ◆ rec_type

uint8_t nstr_phdr::rec_type

Record type identifier indicating the format and content of this nstrace record.

## ◆ src_vmname_len_offset

uint8_t nstr_phdr::src_vmname_len_offset

Byte offset within the record to the source VM name length field.

## ◆ srcnodeid_offset

uint8_t nstr_phdr::srcnodeid_offset

Byte offset within the record to the source cluster node ID field.

## ◆ vlantag_offset

uint8_t nstr_phdr::vlantag_offset

Byte offset within the record to the VLAN tag field.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/wiretap/wtap.h